﻿/*
This file is under Microsoft Public License (MS-PL)
Copyright Yohann MARTEL.  All rights reserved.
Codeplex: http://amf.codeplex.com
AMF Website: http://www.ymartel.com/aspnet-mobile-framework/
*/
namespace Mobile
{
    public class QueryString
    {
        public const string UniqueIdKey = "ftr"; //force to reload
    }

    public class MetadataResources
    {
        public const string JqueryJs = "http://code.jquery.com/jquery-1.6.4.min.js";
        public const string MicrosoftJqueryJs = "http://ajax.aspnetcdn.com/ajax/jQuery/jquery-1.6.4.min.js";
        public const string JqueryJsResourceName = "Mobile.WebResources.Jquery164min.js";
        public const string JqueryMobileJs = "http://code.jquery.com/mobile/1.0/jquery.mobile-1.0.min.js";
        public const string MicrosoftJqueryMobileJs = "http://ajax.aspnetcdn.com/ajax/jquery.mobile/1.0rc2/jquery.mobile-1.0rc2.min.js";
        public const string JqueryMobileJsResourceName = "Mobile.WebResources.Jquerymobile10min.js";
        public const string JqueryMobileCss = "http://code.jquery.com/mobile/1.0/jquery.mobile-1.0.min.css";
        public const string MicrosoftJqueryMobileCss = "http://ajax.aspnetcdn.com/ajax/jquery.mobile/1.0rc2/jquery.mobile-1.0rc2.min.css";
        public const string JqueryMobileCssResourceName = "Mobile.WebResources.Jquerymobile10min.css";
    }

    public class MetadataType
    {
        public const string Javascript = "text/javascript";
        public const string Css = "text/css";
    }

    public class MetadataAttribute
    {
        public const string DataRole = "data-role";
        public const string DataCollapsed = "data-collapsed";
        public const string DataPrefetch = "data-prefetch";
        public const string DataId = "data-id";
        public const string DataIcon = "data-icon";
        public const string DataAjax = "data-ajax";
        public const string DataIconpos= "data-iconpos";
        public const string DataInline = "data-inline";
        public const string DataType = "data-type";
        public const string DataTheme = "data-theme";
        public const string DataDividerTheme = "data-dividertheme";
        public const string DataContentTheme = "data-content-theme";
        public const string DataFilter= "data-filter";
        public const string DataTransition= "data-transition";
        public const string DataDirection= "data-direction";
        public const string DataPosition = "data-position";
        public const string DataFullscreen = "data-fullscreen";
        public const string DataRel = "data-rel";
        public const string DataInset = "data-inset";
        public const string DataAddBackButton = "data-add-back-btn";
        public const string DataBackButtonText = "data-back-btn-text";
        public const string For = "for";
        public const string DataNativeMenu = "data-native-menu";
        public const string Label = "label";
        public const string Multiple = "multiple";
    }

    public class DataRole
    {
        public const string Button = "button";
        public const string ControlGroup = "controlgroup";
        public const string Header = "header";
        public const string Content = "content";
        public const string Footer = "footer";
        public const string Navbar = "navbar";
        public const string Listview = "listview";
        public const string Page = "page";
        public const string Slider = "slider";
        public const string Fieldcontain = "fieldcontain";
        public const string ListDivider = "list-divider";
        public const string CollapsibleSet = "collapsible-set";
        public const string Collapsible = "collapsible";
    }

    public class DataRel
    {
        public const string Dialog = "dialog";
        public const string Back = "back";
    }

    public class JqueryCssClass
    {
        public const string ListCountBubble = "ui-li-count";
        public const string ListThumb = "ui-li-thumb";
        public const string ListHeading = "ui-li-heading";
        public const string ListDesc = "ui-li-desc";
        public const string ListIcon = "ui-li-icon";
        public const string BottonPositionLeft = "ui-btn-left";
        public const string ButtonPositionRight = "ui-btn-right";
        public const string ButtonIsActive = "ui-btn-active";
        public const string StatePersist = "ui-state-persist";
        public const string Bar= "ui-bar";
        public const string Select= "select";
    }

    public class MobileHtmlTextWriterAttribute
    {
        public const string Min = "min";
        public const string Max = "max";
        public const string OptionGroup = "optgroup";
        public const string Rel = "rel";
        public const string External = "external";
        public const string Method = "method";
        public const string Action = "action";
    }

    public enum LinkRessourcesHost
    {
        SelfHosting,
        Jquery,
        //Microsoft,
        Custom
    }

    public enum FormMethod
    {
        Get,
        Post
    }

    public enum DataPosition
    {
        Default,
        Fixed
    }

    public enum DataIcon
    {
        LeftArrow,
        RightArrow,
        UpArrow,
        DownArrow,
        Delete,
        Plus,
        Minus,
        Check,
        Gear,
        Refresh,
        Forward,
        Back,
        Grid,
        Star,
        Alert,
        Info,
        Home,
        Search
    }

    public enum IconPosition
    {
        Left,
        Right,
        Bottom,
        Top,
        NoText
    }

    public enum FooterDisplay
    {
        Normal,
        Bar
    }

    public enum ButtonPosition
    {
        None,
        Left,
        Right
    }

    public enum DialogBox
    {
        None,
        Open,
        Close
    }

    public enum DataType
    {
        Default,
        Vertical,
        Horizontal
    }

    public enum DataTheme
    {
        None,
        A,
        B,
        C,
        D,
        E
    }

    public enum DataTransition
    {
        None,
        Slide,
        SlideUp,
        SlideDown,
        Pop,
        Fade,
        Flip
    }

    public enum DataDirection
    {
        Default,
        Reverse
    }

    public enum InputType
    {
        Text,
        Password,
        Checkbox,
        Radio,
        Number,
        Email,
        Url,
        Tel,
        Time,
        Date,
        Month,
        Week,
        Datetime,
        Color,
        Submit,
        Range,
        Search
    }


}
