﻿/*
This file is under Microsoft Public License (MS-PL)
Copyright Yohann MARTEL.  All rights reserved.
Codeplex: http://amf.codeplex.com
AMF Website: http://www.ymartel.com/aspnet-mobile-framework/
*/
using System;
using System.ComponentModel;
using System.Web.UI;

namespace Mobile.WebControls.Field
{
    internal class InputControl : ThemedControl
    {
        #region Properties
        [Category("Appearance")]
        public InputType InputType { get; set; }

        [Category("HTML")]
        public string FieldName { get; set; }

        [Category("Functionality")]
        public string Value { get; set; }

        #endregion

        #region Render Methods

        public override void RenderBeginTag(HtmlTextWriter writer)
        {
            AddAttributesToRender(writer);
            writer.RenderBeginTag(HtmlTextWriterTag.Input);
        }

        public override void RenderEndTag(HtmlTextWriter writer)
        {
            writer.RenderEndTag(); 
        }

        protected override void AddAttributesToRender(HtmlTextWriter writer)
        {
            base.AddAttributesToRender(writer);
            writer.AddAttribute(HtmlTextWriterAttribute.Type, Enum.GetName(typeof(InputType), InputType).ToLower());
            if (!String.IsNullOrEmpty(FieldName))
            {
                writer.AddAttribute(HtmlTextWriterAttribute.Name, FieldName);
            }
            if (!String.IsNullOrEmpty(Value))
            {
                writer.AddAttribute(HtmlTextWriterAttribute.Value, Value); 
            }
        }

        #endregion
    }
}
