﻿/*
This file is under Microsoft Public License (MS-PL)
Copyright Yohann MARTEL.  All rights reserved.
Codeplex: http://amf.codeplex.com
AMF Website: http://www.ymartel.com/aspnet-mobile-framework/
*/
using System.ComponentModel;

namespace Mobile.WebControls.Field
{
    public class InputField : Field
    {
        #region Properties
        [Category("Client")]
        public string FieldName { get; set; }

        [Category("Functionality")]
        public string Value { get; set; }

        [Category("Appearance")]
        public InputType InputType { get; set; }
        #endregion

        #region Methods
        protected override void CreateChildControls()
        {
            base.CreateChildControls();
            InputControl inputControl = new InputControl();
            inputControl.InputType = InputType;
            inputControl.FieldName = FieldName;
            inputControl.Value = Value;
            Controls.Add(inputControl);
            SetLabelForControlId(inputControl.ClientID);
        }
        #endregion
    }
}
