﻿/*
This file is under Microsoft Public License (MS-PL)
Copyright Yohann MARTEL.  All rights reserved.
Codeplex: http://amf.codeplex.com
AMF Website: http://www.ymartel.com/aspnet-mobile-framework/
*/
using System.ComponentModel;

namespace Mobile.WebControls.Field
{
    public class RangedField : Field
    {
        #region Members
        private RangedControl inputControl;
        #endregion

        #region Properties
        [Category("Functionality")]
        public int? Max { get; set; }
        [Category("Functionality")]
        public int? Min { get; set; }
        [Category("HTML")]
        public string FieldName { get; set; }
        [Category("Functionality")]
        public string Value { get; set; }
        #endregion

        #region Methods
        protected override void CreateChildControls()
        {
            base.CreateChildControls();
            inputControl = new RangedControl();
            inputControl.Max = Max;
            inputControl.Min = Min;
            inputControl.FieldName = FieldName;
            inputControl.Value = Value;
            Controls.Add(inputControl);
            SetLabelForControlId(inputControl.ClientID);
        }
        #endregion
    }
}
