﻿/*
This file is under Microsoft Public License (MS-PL)
Copyright Yohann MARTEL.  All rights reserved.
Codeplex: http://amf.codeplex.com
AMF Website: http://www.ymartel.com/aspnet-mobile-framework/
*/
using System;
using System.ComponentModel;
using System.Web.UI;

namespace Mobile.WebControls.Field
{
    internal class SelectControl : BaseControl
    {
        #region Properties
        [Category("HTML")]
        public string FieldName { get; set; }

        [Category("Appearance")]
        public bool DataNativeMenu { get; set; }

        [Category("Functionality")]
        public bool MultipleSelect { get; set; }
        #endregion

        #region Constructor
        public SelectControl()
        {
            DataNativeMenu = true;
        }
        #endregion

        #region Render Methods
        public override void RenderBeginTag(HtmlTextWriter writer)
        {
            AddAttributesToRender(writer);
            writer.RenderBeginTag(HtmlTextWriterTag.Select);
        }

        public override void RenderEndTag(HtmlTextWriter writer)
        {
            writer.RenderEndTag(); 
        }

        protected override void AddAttributesToRender(HtmlTextWriter writer)
        {
            base.AddAttributesToRender(writer);
            if (!DataNativeMenu)
            {
                writer.AddAttribute(MetadataAttribute.DataNativeMenu, Boolean.FalseString.ToLower());
            }
            if (!String.IsNullOrEmpty(FieldName))
            {
                writer.AddAttribute(HtmlTextWriterAttribute.Name, FieldName);
            }
            if (MultipleSelect)
            {
                writer.AddAttribute(MetadataAttribute.Multiple, MetadataAttribute.Multiple);
            }
        }
        #endregion
    }
}
