﻿/*
This file is under Microsoft Public License (MS-PL)
Copyright Yohann MARTEL.  All rights reserved.
Codeplex: http://amf.codeplex.com
AMF Website: http://www.ymartel.com/aspnet-mobile-framework/
*/
using System;
using System.ComponentModel;
using System.Web.UI;

namespace Mobile.WebControls
{
    public class Footer : Div
    {
        #region Properties
        [Category("Appearance")]
        public FooterDisplay Display { get; set; }

        [Category("Appearance")]
        public DataPosition Position { get; set; }

        [Category("Persistent")]
        public string PersistentId { get; set; }
        #endregion

        #region Render Methods
        protected override void AddAttributesToRender(HtmlTextWriter writer)
        {
            base.AddAttributesToRender(writer);
            writer.AddAttribute(MetadataAttribute.DataRole, DataRole.Footer);
            if (Display != FooterDisplay.Normal)
            {
                switch(Display)
                {
                    case FooterDisplay.Bar:
                        writer.AddAttribute(HtmlTextWriterAttribute.Class, JqueryCssClass.Bar);
                        break;
                }
            }
            if (Position != DataPosition.Default)
            {
                writer.AddAttribute(MetadataAttribute.DataPosition, Enum.GetName(typeof(DataPosition), Position).ToLower());
            }
            if (!String.IsNullOrEmpty(PersistentId))
            {
                writer.AddAttribute(MetadataAttribute.DataId, PersistentId);
            }
        }
        #endregion
    }
}
