﻿/*
This file is under Microsoft Public License (MS-PL)
Copyright Yohann MARTEL.  All rights reserved.
Codeplex: http://amf.codeplex.com
AMF Website: http://www.ymartel.com/aspnet-mobile-framework/
*/
using System;
using System.ComponentModel;
using System.Web.UI;

namespace Mobile.WebControls
{
    public class Legend : ThemedControl
    {
        #region Properties
        [Category("Functionality")]
        public string Text { get; set; }
        #endregion

        #region Render Methods
        protected override void RenderContents(HtmlTextWriter writer)
        {
            base.RenderContents(writer);
            if (!String.IsNullOrEmpty(Text))
            {
                writer.Write(Text);
            }
        }

        public override void RenderBeginTag(HtmlTextWriter writer)
        {
            AddAttributesToRender(writer);
            writer.RenderBeginTag(HtmlTextWriterTag.Legend);
        }

        public override void RenderEndTag(HtmlTextWriter writer)
        {
            writer.RenderEndTag(); 
        }
        #endregion
    }
}
