﻿/*
This file is under Microsoft Public License (MS-PL)
Copyright Yohann MARTEL.  All rights reserved.
Codeplex: http://amf.codeplex.com
AMF Website: http://www.ymartel.com/aspnet-mobile-framework/
*/
using System.ComponentModel;
using System.Web.UI;

namespace Mobile.WebControls
{
    [ToolboxData("<{0}:NavbarLink runat=server></{0}:NavbarLink>")]
    public class NavbarLink : ThemedControl
    {
        #region Properties
        [Bindable(true),
        DefaultValue(""),
        PersistenceMode(PersistenceMode.InnerDefaultProperty),
        Localizable(true),
        Category("Appearance")]
        public string Text { get; set; }

        [Category("Appearance")]
        public string Url { get; set; }

        [Category("Transition")]
        public DataTransition DataTransition { get; set; }

        [Category("Transition")]
        public DataDirection DataDirection { get; set; }

        [Category("DialogBox")]
        public DialogBox DialogBox { get; set; }

        [Category("Appearance")]
        public bool IsActive { get; set; }

        [Category("Appearance")]
        public bool IsPersistent { get; set; }
        #endregion

        #region Methods
        protected override void CreateChildControls()
        {
            base.CreateChildControls();
            Li li = new Li();
            Link link = new Link();
            link.Text = Text;
            link.Url = Url;
            link.DataTransition = DataTransition;
            link.DataDirection = DataDirection;
            link.DialogBox = DialogBox;
            link.IsActive = IsActive;
            link.IsPersistent = IsPersistent;
            li.Controls.Add(link);
            Controls.Add(li);
        }
        #endregion

        #region Render Methods
        public override void RenderBeginTag(HtmlTextWriter writer)
        {
            AddAttributesToRender(writer);
        }

        public override void RenderEndTag(HtmlTextWriter writer)
        {
        }
        #endregion
    }
}
